diff --git a/enzevalos_iphone.xcodeproj/project.pbxproj b/enzevalos_iphone.xcodeproj/project.pbxproj
index 11e0be1c6d2d7681165e231234248c892f46e44c..4080dffe2a4292bacae20fba0d306c4a01a790ca 100644
--- a/enzevalos_iphone.xcodeproj/project.pbxproj
+++ b/enzevalos_iphone.xcodeproj/project.pbxproj
@@ -30,6 +30,8 @@
 		47691A8C1ECC3EC7004BCFC5 /* EphemeralMail.swift in Sources */ = {isa = PBXBuildFile; fileRef = 47691A8B1ECC3EC7004BCFC5 /* EphemeralMail.swift */; };
 		9935BC866A86C4A4B9819F35 /* Pods_enzevalos_iphone.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 4AE42F42E91A1BFBF1D5BF6A /* Pods_enzevalos_iphone.framework */; };
 		9C1FA3A01B089C653802A88C /* Pods_enzevalos_iphoneUITests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 48FB10FF406523D174F4202A /* Pods_enzevalos_iphoneUITests.framework */; };
+		A102AA881EDDAC850024B457 /* videoOnboarding.m4v in Resources */ = {isa = PBXBuildFile; fileRef = A102AA871EDDAB170024B457 /* videoOnboarding.m4v */; };
+		A102AA8A1EDDB4F40024B457 /* videoOnboarding2.m4v in Resources */ = {isa = PBXBuildFile; fileRef = A102AA891EDDB4E80024B457 /* videoOnboarding2.m4v */; };
 		A1083A541E8BFEA6003666B7 /* Onboarding.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1083A531E8BFEA6003666B7 /* Onboarding.swift */; };
 		A1123E6A1DA682850069551C /* Localizable.strings in Resources */ = {isa = PBXBuildFile; fileRef = A1123E6C1DA682850069551C /* Localizable.strings */; };
 		A1182C571E30F45C0024D389 /* PGPKeyManagement.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1182C561E30F45C0024D389 /* PGPKeyManagement.swift */; };
@@ -183,6 +185,8 @@
 		796D16D79BED5D60B580E602 /* Pods-enzevalos_iphoneUITests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-enzevalos_iphoneUITests.release.xcconfig"; path = "../workspace/Pods/Target Support Files/Pods-enzevalos_iphoneUITests/Pods-enzevalos_iphoneUITests.release.xcconfig"; sourceTree = "<group>"; };
 		9857108F0823A3919046C491 /* Pods-enzevalos_iphone.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-enzevalos_iphone.release.xcconfig"; path = "../workspace/Pods/Target Support Files/Pods-enzevalos_iphone/Pods-enzevalos_iphone.release.xcconfig"; sourceTree = "<group>"; };
 		9A132EDE8BCA06ACDB505C22 /* Pods-enzevalos_iphoneUITests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-enzevalos_iphoneUITests.debug.xcconfig"; path = "../workspace/Pods/Target Support Files/Pods-enzevalos_iphoneUITests/Pods-enzevalos_iphoneUITests.debug.xcconfig"; sourceTree = "<group>"; };
+		A102AA871EDDAB170024B457 /* videoOnboarding.m4v */ = {isa = PBXFileReference; lastKnownFileType = file; path = videoOnboarding.m4v; sourceTree = "<group>"; };
+		A102AA891EDDB4E80024B457 /* videoOnboarding2.m4v */ = {isa = PBXFileReference; lastKnownFileType = file; path = videoOnboarding2.m4v; sourceTree = "<group>"; };
 		A1083A531E8BFEA6003666B7 /* Onboarding.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Onboarding.swift; sourceTree = "<group>"; };
 		A1123E6B1DA682850069551C /* en */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = en; path = en.lproj/Localizable.strings; sourceTree = "<group>"; };
 		A1123E6D1DA682870069551C /* de */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = de; path = de.lproj/Localizable.strings; sourceTree = "<group>"; };
@@ -629,6 +633,8 @@
 			children = (
 				A1F2A5681E85586300320275 /* Providers.swift */,
 				A1083A531E8BFEA6003666B7 /* Onboarding.swift */,
+				A102AA871EDDAB170024B457 /* videoOnboarding.m4v */,
+				A102AA891EDDB4E80024B457 /* videoOnboarding2.m4v */,
 			);
 			name = onboarding;
 			sourceTree = "<group>";
@@ -837,6 +843,8 @@
 			isa = PBXResourcesBuildPhase;
 			buildActionMask = 2147483647;
 			files = (
+				A102AA8A1EDDB4F40024B457 /* videoOnboarding2.m4v in Resources */,
+				A102AA881EDDAC850024B457 /* videoOnboarding.m4v in Resources */,
 				A1F992391DA7DD2E0073BF1B /* InboxTableViewCell.xib in Resources */,
 				A1EB058A1D956890008659C1 /* ContactCell.xib in Resources */,
 				4761420A1E082F9C00FD5E4F /* Settings.bundle in Resources */,
@@ -907,7 +915,7 @@
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 			shellPath = /bin/sh;
-			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n";
+			shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [[ $? != 0 ]] ; then\n    cat << EOM\nerror: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\nEOM\n    exit 1\nfi\n";
 			showEnvVarsInLog = 0;
 		};
 		6C4CB727DDC2AC31CCE50B26 /* [CP] Embed Pods Frameworks */ = {
@@ -952,7 +960,7 @@
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 			shellPath = /bin/sh;
-			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n";
+			shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [[ $? != 0 ]] ; then\n    cat << EOM\nerror: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\nEOM\n    exit 1\nfi\n";
 			showEnvVarsInLog = 0;
 		};
 		D6F0EB205D61EA8C8A045390 /* [CP] Check Pods Manifest.lock */ = {
@@ -967,7 +975,7 @@
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 			shellPath = /bin/sh;
-			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n";
+			shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [[ $? != 0 ]] ; then\n    cat << EOM\nerror: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\nEOM\n    exit 1\nfi\n";
 			showEnvVarsInLog = 0;
 		};
 		E98D3D9213C0A8CF7EDD28B1 /* [CP] Copy Pods Resources */ = {
diff --git a/enzevalos_iphone/Onboarding.swift b/enzevalos_iphone/Onboarding.swift
index 17335a26a35df5a4279f2a03f51a71ff263f11f5..425a67cab2888f75bc105813488c56f3cbdd3d00 100644
--- a/enzevalos_iphone/Onboarding.swift
+++ b/enzevalos_iphone/Onboarding.swift
@@ -102,8 +102,14 @@ class Onboarding: NSObject {
         UIGraphicsEndImageContext()
         intro2.bodyLabel.textAlignment = NSTextAlignment.left
 
-        let intro3 = OnboardingContentViewController.content(withTitle: nil, body: NSLocalizedString("GetHelp", comment: ""), image: nil, buttonText: nil, action: nil)
-
+        let path = Bundle.main.path(forResource: "videoOnboarding2", ofType: "m4v")
+        let url = URL.init(fileURLWithPath: path!)
+        
+        let videoView = UIView.init(frame: CGRect.init(x: 0, y: 0, width: 30, height: (AppDelegate.getAppDelegate().window?.frame.height)! - 70))
+        //videoView.backgroundColor = defaultColor
+        
+        let intro3 = OnboardingContentViewController.content(withTitle: nil, body: NSLocalizedString("GetHelp", comment: ""), videoURL: url, inputView: videoView, buttonText: nil, actionBlock: nil)
+        
         //Content
         let page1 = OnboardingContentViewController.content(withTitle: NSLocalizedString("Hello", comment: "Welcome"), body: NSLocalizedString("InterestedInSecureMail", comment: "commendation to user for using secure mail"), image: nil, buttonText: nil, action: nil)
 
@@ -285,30 +291,40 @@ class Onboarding: NSObject {
 
         //let passwd = OnboardingContentViewController.content(withTitle: nil, body: NSLocalizedString("InsertPassword", comment: ""), videoURL: nil, inputView: password, buttonText: nil, actionBlock: nil)
 
-        imapServer.borderStyle = UITextBorderStyle.roundedRect
+        imapServer.borderStyle = UITextBorderStyle.none
+        imapServer.textColor = textColor
         imapServer.frame = CGRect.init(x: 0, y: 0, width: 50, height: 30)
         imapServer.text = UserManager.loadUserValue(Attribute.imapHostname) as? String
 
+        let imapServerUnderline = UIView.init(frame: CGRect.init(x: 0, y: imapServer.frame.maxY, width: imapServer.frame.width, height: 0.5))
+        imapServerUnderline.backgroundColor = textColor
+        
         let imapLabel = UILabel.init()
         imapLabel.text = "IMAP-Port"
 
-        imapLabel.textColor = UIColor.white;
+        imapLabel.textColor = textColor//UIColor.white
         imapLabel.font = font
-        imapLabel.numberOfLines = 0;
-        imapLabel.textAlignment = NSTextAlignment.center;
-        imapLabel.frame = CGRect.init(x: 0, y: imapServer.frame.height + padding, width: 50, height: 30)
-        imapPort.borderStyle = UITextBorderStyle.roundedRect
+        imapLabel.numberOfLines = 0
+        imapLabel.textAlignment = NSTextAlignment.center
+        imapLabel.frame = CGRect.init(x: 0, y: imapServer.frame.height + imapServerUnderline.frame.height + padding, width: 50, height: 30)
+        imapPort.borderStyle = UITextBorderStyle.none
         imapPort.text = "0"
+        imapPort.textColor = textColor
         if let port = UserManager.loadUserValue(Attribute.imapPort) {
             imapPort.text = "\(port as! Int)"
         }
         imapPort.keyboardType = UIKeyboardType.numberPad
         imapPort.frame = CGRect.init(x: 0, y: imapServer.frame.height + padding + imapLabel.frame.height + padding, width: 50, height: 30)
 
-        let imap = UIView.init(frame: CGRect.init(x: 0, y: 0, width: 50, height: imapServer.frame.height + padding + imapLabel.frame.height + padding + imapPort.frame.height))
+        let imapPortUnderline = UIView.init(frame: CGRect.init(x: 0, y: imapPort.frame.maxY, width: imapPort.frame.width, height: 0.5))
+        imapPortUnderline.backgroundColor = textColor
+        
+        let imap = UIView.init(frame: CGRect.init(x: 0, y: 0, width: 50, height: imapServer.frame.height + imapServerUnderline.frame.height + padding + imapLabel.frame.height + padding + imapPort.frame.height + imapPortUnderline.frame.height))
         imap.addSubview(imapServer)
+        imap.addSubview(imapServerUnderline)
         imap.addSubview(imapLabel)
         imap.addSubview(imapPort)
+        imap.addSubview(imapPortUnderline)
 
         let imap1 = OnboardingContentViewController.content(withTitle: nil, body: "IMAP-Server", videoURL: nil, inputView: imap, buttonText: nil, actionBlock: nil)
 
@@ -360,9 +376,13 @@ class Onboarding: NSObject {
         let imap2 = OnboardingContentViewController.content(withTitle: nil, body: "IMAP-" + NSLocalizedString("Transportencryption", comment: ""), videoURL: nil, inputView: imapAuth, buttonText: nil, actionBlock: nil, withPadding: boolPointer)
 
 
-        smtpServer.borderStyle = UITextBorderStyle.roundedRect
+        smtpServer.borderStyle = UITextBorderStyle.none
+        smtpServer.textColor = textColor
         smtpServer.text = UserManager.loadUserValue(Attribute.smtpHostname) as? String
         smtpServer.frame = CGRect.init(x: 0, y: 0, width: 50, height: 30)
+        
+        let smtpServerUnderline = UIView.init(frame: CGRect.init(x: 0, y: smtpServer.frame.maxY, width: smtpServer.frame.width, height: 0.5))
+        smtpServerUnderline.backgroundColor = textColor
 
         let smtpLabel = UILabel.init()
         smtpLabel.text = "SMTP-Port"
@@ -371,19 +391,24 @@ class Onboarding: NSObject {
         smtpLabel.font = font
         smtpLabel.numberOfLines = 0;
         smtpLabel.textAlignment = NSTextAlignment.center;
-        smtpLabel.frame = CGRect.init(x: 0, y: smtpServer.frame.height + padding, width: 50, height: 30)
+        smtpLabel.frame = CGRect.init(x: 0, y: smtpServer.frame.height + smtpServerUnderline.frame.height + padding, width: 50, height: 30)
         smtpPort.borderStyle = UITextBorderStyle.roundedRect
         smtpPort.text = "0"
         if let port = UserManager.loadUserValue(Attribute.smtpPort) {
             smtpPort.text = "\(port as! Int)"
         }
         smtpPort.keyboardType = UIKeyboardType.numberPad
-        smtpPort.frame = CGRect.init(x: 0, y: smtpServer.frame.height + padding + smtpLabel.frame.height + padding, width: 50, height: 30)
+        smtpPort.frame = CGRect.init(x: 0, y: smtpServer.frame.height + smtpServerUnderline.frame.height + padding + smtpLabel.frame.height + padding, width: 50, height: 30)
 
-        let smtp = UIView.init(frame: CGRect.init(x: 0, y: 0, width: 50, height: smtpServer.frame.height + padding + smtpLabel.frame.height + padding + smtpPort.frame.height))
+        let smtpPortUnderline = UIView.init(frame: CGRect.init(x: 0, y: smtpPort.frame.maxY, width: smtpPort.frame.width, height: 0.5))
+        smtpPortUnderline.backgroundColor = textColor
+        
+        let smtp = UIView.init(frame: CGRect.init(x: 0, y: 0, width: 50, height: smtpServer.frame.height + smtpServerUnderline.frame.height + padding + smtpLabel.frame.height + padding + smtpPort.frame.height + smtpPortUnderline.frame.height))
         smtp.addSubview(smtpServer)
+        smtp.addSubview(smtpServerUnderline)
         smtp.addSubview(smtpLabel)
         smtp.addSubview(smtpPort)
+        smtp.addSubview(smtpPortUnderline)
 
         let smtp1 = OnboardingContentViewController.content(withTitle: nil, body: "SMTP-Server", videoURL: nil, inputView: smtp, buttonText: nil, actionBlock: nil)
 
diff --git a/enzevalos_iphone/videoOnboarding.m4v b/enzevalos_iphone/videoOnboarding.m4v
new file mode 100644
index 0000000000000000000000000000000000000000..29cbd272134d9e06d04fe11764712dc1e106c8b4
Binary files /dev/null and b/enzevalos_iphone/videoOnboarding.m4v differ
diff --git a/enzevalos_iphone/videoOnboarding2.m4v b/enzevalos_iphone/videoOnboarding2.m4v
new file mode 100644
index 0000000000000000000000000000000000000000..6904af810d32d9602ff4dd240cca01d258985253
Binary files /dev/null and b/enzevalos_iphone/videoOnboarding2.m4v differ